Bug 1023582 - UX Session Improvements: Palette Changes
UX Session Improvements: Palette Changes
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity low
: ER6
: ---
Assigned To: Brian Fitzpatrick
Andrej Podhradsky
:
Depends On:
Blocks: 1021299
  Show dependency treegraph
 
Reported: 2013-10-25 16:02 EDT by Brian Fitzpatrick
Modified: 2014-06-16 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
How it looks in JBDS-IS 7.0.0.CR1 (44.62 KB, image/png)
2013-12-18 12:21 EST, Andrej Podhradsky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1782 Major Closed UX Session Improvements: Palette Changes 2014-08-06 02:41:02 EDT
JBoss Issue Tracker SWITCHYARD-1802 Critical Closed Missing "New" label on pop-up menu when right-click on SwitchYard node 2014-08-06 02:41:02 EDT

  None (edit)
Description Brian Fitzpatrick 2013-10-25 16:02:19 EDT
Description of problem:
The recent usability session brought up a few items as far as the SwitchYard editor goes. 

First couple of items:

    [1] Change header name in palette from 'Generic' to 'Core'.
    [2] Marquee/select options in the palette appear to be completely unnecessary as the user can perform these actions directly on the canvas already.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Rob Cernich 2013-10-25 21:10:47 EDT
If we remove the marquee tool, the user is forced to use ctrl+click to select multiple objects within the composite.  Previously, if the user selected the marquee tool, they were able to select all figures within a drag area.

Are we ok with this limitation?
Comment 3 JBoss JIRA Server 2013-10-31 09:57:11 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1802

PR to fix missing menu label issue
Comment 4 JBoss JIRA Server 2013-10-31 16:01:47 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1802

pushed
Comment 5 JBoss JIRA Server 2013-10-31 16:12:10 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1782

pushed
Comment 6 Andrej Podhradsky 2013-12-18 12:21:36 EST
Created attachment 838482 [details]
How it looks in JBDS-IS 7.0.0.CR1
Comment 7 Andrej Podhradsky 2013-12-18 12:22:05 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 8 JBoss JIRA Server 2014-06-16 19:48:18 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1802 to Closed
Comment 9 JBoss JIRA Server 2014-06-16 19:52:26 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1782 to Closed

Note You need to log in before you can comment on or make changes to this bug.